Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class LoggingDecoratorImpl

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.LoggingDecoratorImpl

All Implemented Interfaces:
  LoggingDecorator

    @PreventServiceDecoration
    public class LoggingDecoratorImpl

extends java.lang.Object
implements LoggingDecorator

Constructor Summary
`LoggingDecoratorImpl(AspectDecorator aspectDecorator, LoggingAdvisor advisor)`

Method Summary
`
`<T> T`
` | `build(java.lang.Class<T> serviceInterface, T delegate, java.lang.String serviceId, org.slf4j.Logger logger)` Builds a logging interceptor instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingDecoratorImpl

    public LoggingDecoratorImpl(AspectDecorator aspectDecorator,
                                LoggingAdvisor advisor)

Method Detail

### build

    public <T> T build(java.lang.Class<T> serviceInterface,
                       T delegate,
                       java.lang.String serviceId,
                       org.slf4j.Logger logger)

  Description copied from interface: `LoggingDecorator`
  Builds a logging interceptor instance.

  Specified by:
    `build` in interface `LoggingDecorator`
  Parameters:
    `serviceInterface` - interface implemented by the delegate
    `delegate` - existing object to be wrapped
    `serviceId` - id of service
    `logger` - log used for debug level logging messages by the interceptor
  Returns:
    a new object implementing the interface that can be used in place of the delegate, providing logging behavior around each method call on the service interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.